import React from 'react';
import {StyleSheet, Text, TouchableOpacity, View} from 'react-native';
import HeaderBack from '../../components/Header/HeaderBack';
import {getFontXD, getWidth, HEIGHTXD, WIDTHXD} from '../../Config/Functions';
import R from '../../assets/R';
import I18n from '../../helper/i18/i18n';
import PickerItem from '../../components/Picker/PickerItem';
import TextMoney from '../../components/Input/InputMoney';
import {ADDMETHODPAY} from '../../routers/ScreenNames';
import Icon from 'react-native-vector-icons/Entypo';

const EscrowCalculatorView = (props) => {
    return (
        <View style={{flex: 1, flexDirection: 'column', backgroundColor: 'white'}}>
            <HeaderBack title={'EscrowCalculator'} isWhite={true}/>
            <View style={styles.viewInput}>
                <Text
                    style={styles.textTitle}>
                    {I18n.t('Product')}
                </Text>
                <PickerItem
                    data={props.dataProduct}
                    onValueChange={(value, item) => {
                        props.setProduct(item);
                    }}
                    iconSize={WIDTHXD(40)}
                    iconColor={R.colors.black}
                />

                <TextMoney
                    onChangeText={(val) => {
                    }}
                    title={I18n.t('LotTransactionNumber')}
                    value={1000}
                    titleStyle={{color: R.colors.black, marginTop: HEIGHTXD(20), fontSize: getFontXD(39)}}
                />
                <TextMoney
                    onChangeText={(val) => {
                    }}
                    title={I18n.t('FirstEscrow')}
                    value={1000}
                    titleStyle={{color: R.colors.black, fontSize: getFontXD(39)}}
                    editable={false}
                    inputStyle={{backgroundColor: R.colors.gray7}}
                />
            </View>
            <View style={{flexDirection: 'row', justifyContent: 'flex-end'}}>
                <TouchableOpacity
                    onPress={() => {
                    }}
                    style={styles.containerBtn}>
                    <Icon name={'plus'} size={27} color={R.colors.white}/>
                </TouchableOpacity>
            </View>
            <View style={{paddingHorizontal: WIDTHXD(60)}}>
                <TextMoney
                    onChangeText={(val) => {
                    }}
                    title={I18n.t('FirstEscrow')}
                    value={1000}
                    titleStyle={{
                        color: R.colors.black,
                        marginTop: HEIGHTXD(180),
                        fontSize: getFontXD(39),
                    }}
                />
                <TextMoney
                    onChangeText={(val) => {
                    }}
                    editable={false}
                    title={I18n.t('FirstEscrowTotal')}
                    value={1000}
                    titleStyle={{color: R.colors.black, marginTop: HEIGHTXD(20), fontSize: getFontXD(39)}}
                    inputStyle={{backgroundColor: R.colors.gray7}}
                />
                <Text style={styles.textMessage}>Bạn có thể giao dịch các hợp đồng kể trên với mức ký quỹ
                    khả dung hiện tại</Text>
            </View>
            <View style={{
                width: '100%',
                flexDirection: 'row',
                justifyContent: 'center',
                alignItems: 'center',
                position: 'absolute',
                bottom: HEIGHTXD(50),
            }}>
                <TouchableOpacity onPress={() => {
                }} style={[styles.btn, {backgroundColor: R.colors.red2, marginRight: WIDTHXD(72)}]}>
                    <Text style={styles.txtButton}>{I18n.t('Delete')}</Text>
                </TouchableOpacity>
                <TouchableOpacity onPress={() => {
                }} style={styles.btn}>
                    <Text style={styles.txtButton}>{I18n.t('Calculator')}</Text>
                </TouchableOpacity>
            </View>
        </View>
    );

};
export default EscrowCalculatorView;
const styles = StyleSheet.create({
    viewInput: {
        marginHorizontal: WIDTHXD(36),
        marginTop: WIDTHXD(69),
        marginBottom: WIDTHXD(44),
        borderWidth: 0.3,
        borderColor: '#707070',
        paddingHorizontal: WIDTHXD(24),
        paddingVertical: WIDTHXD(24),
    },
    textTitle: {
        fontSize: getFontXD(39),
        color: R.colors.black,
    },
    textMessage: {
        fontSize: getFontXD(39),
        color: R.colors.black,
        marginTop: HEIGHTXD(68)
    },
    containerBtn: {
        marginHorizontal: WIDTHXD(36),
        backgroundColor: R.colors.main,
        width: WIDTHXD(144),
        height: WIDTHXD(144),
        justifyContent: 'center',
        alignItems: 'center',
        shadowColor: '#000',
        shadowOffset: {
            width: 0,
            height: 2,
        },
        shadowOpacity: 0.25,
        shadowRadius: 3.84,
        elevation: 3,
        borderRadius: 30,
    },
    btn: {
        width: WIDTHXD(428),
        height: HEIGHTXD(120),
        justifyContent: 'center',
        alignItems: 'center',
        backgroundColor: R.colors.main,
        borderRadius: 5,
        marginBottom: HEIGHTXD(42),
    },
    txtButton: {
        color: R.colors.white,
        fontSize: getFontXD(48),
    },
});
